package com.yc.education.service.impl;

import com.yc.education.mapper.TechnologyclassifyMapper;
import com.yc.education.model.Technologyclassify;
import com.yc.education.service.TechnologyclassifyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * huangpan
 * 2019/10/8
 * energy
 */
@Service
public class TechnologyclassifyServiceImpl  extends BaseService<Technologyclassify> implements TechnologyclassifyService {

    @Autowired
    TechnologyclassifyMapper technologyclassifyMapper;

    @Override
    public List<Technologyclassify> selectAllTclassify(String titleName) {
        return technologyclassifyMapper.selectAllTclassify(titleName);
    }

    @Override
    public List<Technologyclassify> selectAllTclassifyrm() {
        return technologyclassifyMapper.selectAllTclassifyrm();
    }

    @Override
    public Technologyclassify selectTclassifyById(int id) {
        return technologyclassifyMapper.selectTclassifyById(id);
    }

    @Override
    public void deleteTclassifyById(int id) {
        technologyclassifyMapper.deleteByPrimaryKey(id);
    }
}
